<?php

namespace App\Repositories\Webprofile\De;

use App\Models\Webprofile\De\Agenda;
use App\Repositories\Repository;

class AgendaRepository extends Repository
{
    public function __construct(Agenda $model)
    {
        $this->model = $model;
    }

    public function get()
    {
    }

    public function paginate()
    {
    }

    public function update($data, $agenda)
    {
        return $this->model->updateOrCreate([
            'agenda_id' => $agenda->id,
        ], $data);
    }
}
